SpriteLibrary

# Sprite
ReplaceImage Method

Replace a sprite image. It will replace the current frame unless you specify both an animation and the frame within the animation you wish to replace. Warning: This replaces the image_frame for every sprite that uses that is based off the same image.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public void ReplaceImage(
    	Image newimage,
    	int animation = -1,
    	int frame = -1
    )

#### Parameters

newimage
  Type: System.Drawing
  Image
  The new image to use
animation (Optional)
  Type: System
  Int32
  The animation you want to change
frame (Optional)
  Type: System
  Int32
  The frame within the animation you want to change

See Also

#### Reference

Sprite Class
SpriteLibrary Namespace